petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscDualSpaceType

String with the name of a PETSc dual space

### Synopsis

    typedef const char *PetscDualSpaceType;
    #define PETSCDUALSPACELAGRANGE "lagrange"
    #define PETSCDUALSPACEBDM      "bdm"
    #define PETSCDUALSPACESIMPLE   "simple"

### See Also

PetscDualSpaceSetType(), PetscDualSpace

### Level

beginner

### Location

src/dm/dt/fe/../../../../include/petscfe.h
Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages